Package org.springframework.context

# Interface HierarchicalMessageSource

All Superinterfaces:
  `MessageSource`

All Known Implementing Classes:
  `AbstractMessageSource`, `AbstractResourceBasedMessageSource`, `DelegatingMessageSource`, `ReloadableResourceBundleMessageSource`, `ResourceBundleMessageSource`, `StaticMessageSource`

public interface HierarchicalMessageSource extends MessageSource
Sub-interface of MessageSource to be implemented by objects that can resolve messages hierarchically.

Author:
  Rod Johnson, Juergen Hoeller

## Method Summary

Modifier and Type
Method
Description
`MessageSource`
`getParentMessageSource()`
Return the parent of this MessageSource, or `null` if none.
`void`
`setParentMessageSource(MessageSource parent)`
Set the parent that will be used to try to resolve messages that this object can't resolve.

### Methods inherited from interface org.springframework.context.MessageSource

`getMessage, getMessage, getMessage`

## Method Details

### setParentMessageSource

void setParentMessageSource(@Nullable MessageSource parent)
Set the parent that will be used to try to resolve messages that this object can't resolve.

Parameters:
  `parent` - the parent MessageSource that will be used to resolve messages that this object can't resolve. May be `null`, in which case no further resolution is possible.

### getParentMessageSource

@Nullable MessageSource getParentMessageSource()
Return the parent of this MessageSource, or `null` if none.